"""
Class for grabbing gamepad signals
"""
from controls.controlsbase import ControlsBase
import pygame
import gamepad

class GamePadControls(ControlsBase):
    def __init__(self):
        gamapadType = gamepad.ps5
    
    def left(self):
        pass
    
    def right(self):
        pass
    
    def up(self):
        pass
    
    def down(self):
        pass
    
    def pause(self):
        pass